Debian Bug report logs - #477588
kfreebsd-7: Please switch debian/rules to SHELL=sh

version graph

Package: kfreebsd-7; Maintainer for kfreebsd-7 is (unknown);

Reported by: Raphael Geissert <atomo64@gmail.com>

Date: Thu, 24 Apr 2008 00:51:05 UTC

Severity: wishlist

Tags: patch

Fixed in version 7.3-7+rm

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#477588; Package kfreebsd-7. Full text and rfc822 format available.

Message #3 received at maintonly@bugs.debian.org (full text, mbox):

From: Raphael Geissert <atomo64@gmail.com>
To: maintonly@bugs.debian.org
Subject: kfreebsd-7: bashism in debian/rules
Date: Wed, 23 Apr 2008 19:48:55 -0500
Source: kfreebsd-7
Severity: important
User: debian-release@lists.debian.org
Usertags: goal-dash

Hello maintainer,

While checking for bashisms in debian/rules with checkbashisms (from 
the 'devscripts' package) I've found your package making use of a bashism.

checkbashisms' output:
> possible bashism in kfreebsd-7/debian/rules line 38 (${parm/?/pat[/str]}):
>                         flavor=$${config/.config/} ; \
> possible bashism in kfreebsd-7/debian/rules line 149 (brace expansion):
>         mkdir -p
> $(IMAGE_PACKAGE)-$*/{boot,lib/modules/$(version)-$(abiname)-$*}

Not using bash (or a Debian Policy conformant shell interpreter which does 
provide such an extra feature) as /bin/sh is likely to lead to errors or 
unexpected behaviours.
Please be aware that although bash is currently the default /bin/sh there's a 
release goal for Lenny to make dash the default /bin/sh[1].

If you want more information about dash as /bin/sh, you can read:
http://lists.debian.org/debian-release/2008/01/msg00189.html

For more information please refer to the Debian Policy section 10.4 supporting 
this argument at:
http://www.debian.org/doc/debian-policy/ch-files.html#s-scripts

Hints about how to fix bashisms:
Sometimes these bugs are already fixed in Ubuntu, look at the PTS.
If not already fixed you can read:
https://wiki.ubuntu.com/DashAsBinSh

[1]http://release.debian.org/lenny/goals.txt

Thank you,
-- 
Atomo64 - Raphael

Please avoid sending me Word, PowerPoint or Excel attachments.
See http://www.gnu.org/philosophy/no-word-attachments.html




Severity set to `wishlist' from `important' Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Tue, 27 May 2008 21:51:07 GMT) Full text and rfc822 format available.

Changed Bug title to `kfreebsd-7: Please switch debian/rules to SHELL=sh' from `kfreebsd-7: bashism in debian/rules'. Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Tue, 27 May 2008 21:51:08 GMT) Full text and rfc822 format available.

Information stored:
Bug#477588; Package kfreebsd-7. Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #12 received at 477588-quiet@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Raphael Geissert <atomo64@gmail.com>
Cc: 477587@bugs.debian.org, 477588-quiet@bugs.debian.org
Subject: Re: Bug#477588: kfreebsd-7: bashism in debian/rules
Date: Wed, 28 May 2008 00:45:17 +0300
severity 477587 wishlist
retitle 477587 kfreebsd-6: Please switch debian/rules to SHELL=sh
severity 477588 wishlist
retitle 477588 kfreebsd-7: Please switch debian/rules to SHELL=sh
thanks

Hi,

On Wed, 2008-04-23 at 19:48:55 -0500, Raphael Geissert wrote:
> Source: kfreebsd-7
> Severity: important
> User: debian-release@lists.debian.org
> Usertags: goal-dash
> 
> While checking for bashisms in debian/rules with checkbashisms (from 
> the 'devscripts' package) I've found your package making use of a bashism.
> 
> checkbashisms' output:
> > possible bashism in kfreebsd-7/debian/rules line 38 (${parm/?/pat[/str]}):
> >                         flavor=$${config/.config/} ; \
> > possible bashism in kfreebsd-7/debian/rules line 149 (brace expansion):
> >         mkdir -p
> > $(IMAGE_PACKAGE)-$*/{boot,lib/modules/$(version)-$(abiname)-$*}

Those are not bugs, the debian/rules file sets the SHELL environment
variable to bash. Downgrading them to wishlist.

regards,
guillem




Tags added: patch Request was from Thorsten Glaser <tg@mirbsd.de> to control@bugs.debian.org. (Tue, 27 May 2008 22:24:07 GMT) Full text and rfc822 format available.

Information stored:
Bug#477588; Package kfreebsd-7. Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@mirbsd.de>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #19 received at 477588-quiet@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: control@bugs.debian.org, 477587@bugs.debian.org, 477588-quiet@bugs.debian.org
Cc: debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Subject: [PATCH] Re: Bug#477587: Bug#477588: kfreebsd-{6,7}: bashism in debian/rules
Date: Tue, 27 May 2008 22:19:40 +0000 (UTC)
tags 477587 + patch
tags 477588 + patch
thanks

FWIW, both “bashisms” work with mksh ☺

Untested diff below:

Index: kfreebsd-6/debian/rules
===================================================================
--- kfreebsd-6/debian/rules	(revision 2166)
+++ kfreebsd-6/debian/rules	(working copy)
@@ -2,8 +2,6 @@
 # Sample debian/rules that uses debhelper.
 # GNU copyright 1997 to 1999 by Joey Hess.
 
-SHELL = bash
-
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
@@ -28,15 +26,14 @@
 HEADERS_DIR	:= kfreebsd-headers-$(version)-$(abiname)
 FLAVOR_DIR	:= flavor-$(version)-$(abiname)
 
-MAKE		:= make MACHINE_ARCH=$(cpu) CC=gcc-3.4 WERROR= 
+MAKE		:= make MACHINE_ARCH=$(cpu) CC=gcc-3.4 WERROR=
 PATH		:= $(CURDIR)/config:/usr/lib/freebsd:$(PATH)
 
 control: clean
 	sed -e "s/@major@/$(major)/g" -e "s/@version@/$(version)/g" -e "s/@abiname@/$(abiname)/g" -e "s/@flavor@/$$flavor/g" \
 		$(CURDIR)/debian/control.in > $(CURDIR)/debian/control
 	for arch in `ls $(CURDIR)/debian/arch/` ; do \
-		for config in `ls $(CURDIR)/debian/arch/$$arch/ | grep \.config` ; do \
-			flavor=$${config/.config/} ; \
+		for flavor in $$(echo $(CURDIR)/debian/arch/$$arch/*.config* | sed 's/\.config//'); do \
 			test -f $(CURDIR)/debian/arch/$$arch/$$flavor.defines && recommends=`awk '/^Recommends: / {print $$2}' $(CURDIR)/debian/arch/$$arch/$$flavor.defines` ; \
 			sed -e "s/@major@/$(major)/g" -e "s/@version@/$(version)/g" -e "s/@abiname@/$(abiname)/g" -e "s/@flavor@/$$flavor/g" -e "s/@arch@/$$arch/g" -e "s/@recommends@/$$recommends/g" \
 				$(CURDIR)/debian/control.flavor.in >> $(CURDIR)/debian/control ; \
@@ -55,7 +52,7 @@
 src: src-stamp
 src-stamp:
 	tar xfj $(CURDIR)/src.tar.bz2
-	
+
 	set -e ; find src -type d -name CVS | xargs rm -rf
 
 	set -e ; find src -type f | (while read i ; do \
@@ -71,7 +68,7 @@
 		-e 's,#\( \|\t\)*include\( \|\t\)*\(<\|"\)bpfilter.h\(>\|"\),,g' \
 		-e 's,#\( \|\t\)*include\( \|\t\)*\(<\|"\)pflog.h\(>\|"\),,g' \
 	; done)
-	
+
 	set -e ; cd $(CURDIR)/src ; QUILT_PC=$(CURDIR)/.pc QUILT_PATCHES=$(CURDIR)/debian/patches quilt push -a ; cd $(CURDIR)
 
 	install debian/gen-ld-u-options src/usr.sbin/config
@@ -81,7 +78,7 @@
 build-indep: build-indep-stamp
 build-indep-stamp: src
 	dh_testdir
-	
+
 	cp -af src $(SRC_DIR)
 
 	touch build-indep-stamp
@@ -112,7 +109,7 @@
 build-arch: $(foreach flavor,$(flavours),build-flavor-$(flavor)-stamp)
 build-flavor-%-stamp: src config
 	cp -af src $(FLAVOR_DIR)-$*
-	
+
 	# Add the abiname and the flavor to the kernel version
 	sed -i -e 's/^RELEASE=".*"/RELEASE="$(version)-$(abiname)-$*"/g' $(FLAVOR_DIR)-$*/sys/conf/newvers.sh
 
@@ -132,11 +129,11 @@
 	touch build-flavor-$*-stamp
 
 install-common-stamp: src
-	dh_testdir 
+	dh_testdir
 	dh_testroot
 	mkdir -p $(HEADERS_PACKAGE)/usr/src/$(HEADERS_DIR)
 	cd src \
-		&& find . -type f -name "*.h" -not -regex ".*modules.*" -not -regex ".*sys/$(cpu)/.*" -exec cp --parents {} $(HEADERS_PACKAGE)/usr/src/$(HEADERS_DIR) \; 
+		&& find . -type f -name "*.h" -not -regex ".*modules.*" -not -regex ".*sys/$(cpu)/.*" -exec cp --parents {} $(HEADERS_PACKAGE)/usr/src/$(HEADERS_DIR) \;
 	find $(HEADERS_PACKAGE)/usr/src/$(HEADERS_DIR) -type f -exec chmod 644 {} \;
 
 	touch install-common-stamp
@@ -147,7 +144,8 @@
 	dh_testroot
 	dh_clean -k -pkfreebsd-image-$(version)-$(abiname)-$*
 
-	mkdir -p $(IMAGE_PACKAGE)-$*/{boot,lib/modules/$(version)-$(abiname)-$*}
+	mkdir -p $(IMAGE_PACKAGE)-$*/boot \
+	    $(IMAGE_PACKAGE)-$*/lib/modules/$(version)-$(abiname)-$*
 
 	# make the install target happy
 	install -o root -g root -m 644 \
@@ -160,7 +158,7 @@
 	install -o root -g root -m 644 \
 		$(FLAVOR_DIR)-$*/sys/boot/forth/loader.conf \
 		$(IMAGE_PACKAGE)-$*/boot/defaults/loader.conf
-	
+
 	# now install the kernel
 	$(MAKE) -C $(FLAVOR_DIR)-$*/sys/$(cpu)/compile/$(configfile) DESTDIR=$(IMAGE_PACKAGE)-$* install
 	mv $(IMAGE_PACKAGE)-$*/lib/modules/$(version)-$(abiname)-$*/kernel $(IMAGE_PACKAGE)-$*/boot/kfreebsd-$(version)-$(abiname)-$*
@@ -179,7 +177,7 @@
 
 	# remove device.hints (built into kernel)
 	rm -f $(IMAGE_PACKAGE)-$*/boot/device.hints
-	
+
 	# override file
 	mkdir -p $(IMAGE_PACKAGE)-$*/usr/share/lintian/overrides
 	install -p -o root -g root -m 644 \
@@ -194,13 +192,13 @@
 	# scripts
 	sed -e "s/@RELEASE@/$(version)-$(abiname)-$*/g" debian/kfreebsd-image.postinst.in \
 		> debian/kfreebsd-image-$(version)-$(abiname)-$*.postinst
-	
+
 	# headers package
 	mkdir -p $(HEADERS_PACKAGE)-$*/usr/src/$(HEADERS_DIR)-$*/sys/$(cpu)
 	cd $(FLAVOR_DIR)-$*/sys/$(cpu) \
 		&& find . -type f -name "*.h" -not -regex ".*modules.*" -exec cp --parents {} $(HEADERS_PACKAGE)-$*/usr/src/$(HEADERS_DIR)-$*/sys/$(cpu) \; \
 		&& cp -d --parents compile/$(configfile)/machine $(HEADERS_PACKAGE)-$*/usr/src/$(HEADERS_DIR)-$*/sys/$(cpu) \
-		&& cp -d --parents conf/$(configfile) $(HEADERS_PACKAGE)-$*/usr/src/$(HEADERS_DIR)-$*/sys/$(cpu) 
+		&& cp -d --parents conf/$(configfile) $(HEADERS_PACKAGE)-$*/usr/src/$(HEADERS_DIR)-$*/sys/$(cpu)
 	find $(HEADERS_PACKAGE)-$*/usr/src/$(HEADERS_DIR)-$*/sys/$(cpu) -type f -exec chmod 644 {} \;
 	for dir in `ls $(HEADERS_PACKAGE)/usr/src/$(HEADERS_DIR)/sys` ; do \
 		ln -s ../../$(HEADERS_DIR)/sys/$$dir $(HEADERS_PACKAGE)-$*/usr/src/$(HEADERS_DIR)-$*/sys/$$dir ; \
@@ -246,10 +244,9 @@
 else
 binary-arch:
 	# We have nothing to do
-endif	
+endif
 
 binary: binary-indep binary-arch
 
 .PHONY: clean build build-indep
 .PHONY: binary-indep binary-arch binary-indep binary-arch binary
-
Index: kfreebsd-7/debian/rules
===================================================================
--- kfreebsd-7/debian/rules	(revision 2166)
+++ kfreebsd-7/debian/rules	(working copy)
@@ -2,8 +2,6 @@
 # Sample debian/rules that uses debhelper.
 # GNU copyright 1997 to 1999 by Joey Hess.
 
-SHELL = bash
-
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
@@ -27,15 +25,14 @@
 HEADERS_DIR	:= kfreebsd-headers-$(version)-$(abiname)
 FLAVOR_DIR	:= flavor-$(version)-$(abiname)
 
-MAKE		:= make MACHINE_ARCH=$(cpu) CC=gcc-4.3 WERROR= 
+MAKE		:= make MACHINE_ARCH=$(cpu) CC=gcc-4.3 WERROR=
 PATH		:= $(CURDIR)/config:/usr/lib/freebsd:$(PATH)
 
 control: clean
 	sed -e "s/@major@/$(major)/g" -e "s/@version@/$(version)/g" -e "s/@abiname@/$(abiname)/g" -e "s/@flavor@/$$flavor/g" \
 		$(CURDIR)/debian/control.in > $(CURDIR)/debian/control
 	for arch in `ls $(CURDIR)/debian/arch/` ; do \
-		for config in `ls $(CURDIR)/debian/arch/$$arch/ | grep \.config` ; do \
-			flavor=$${config/.config/} ; \
+		for flavor in $$(echo $(CURDIR)/debian/arch/$$arch/*.config* | sed 's/\.config//'); do \
 			test -f $(CURDIR)/debian/arch/$$arch/$$flavor.defines && recommends=`awk '/^Recommends: / {print $$2}' $(CURDIR)/debian/arch/$$arch/$$flavor.defines` ; \
 			sed -e "s/@major@/$(major)/g" -e "s/@version@/$(version)/g" -e "s/@abiname@/$(abiname)/g" -e "s/@flavor@/$$flavor/g" -e "s/@arch@/$$arch/g" -e "s/@recommends@/$$recommends/g" \
 				$(CURDIR)/debian/control.flavor.in >> $(CURDIR)/debian/control ; \
@@ -54,7 +51,7 @@
 src: src-stamp
 src-stamp:
 	tar xfj $(CURDIR)/src.tar.bz2
-	
+
 	set -e ; find src -type d -name CVS | xargs rm -rf
 
 	set -e ; find src -type f | (while read i ; do \
@@ -70,7 +67,7 @@
 		-e 's,#\( \|\t\)*include\( \|\t\)*\(<\|"\)bpfilter.h\(>\|"\),,g' \
 		-e 's,#\( \|\t\)*include\( \|\t\)*\(<\|"\)pflog.h\(>\|"\),,g' \
 	; done)
-	
+
 	set -e ; cd $(CURDIR)/src ; QUILT_PC=$(CURDIR)/.pc QUILT_PATCHES=$(CURDIR)/debian/patches quilt push -a ; cd $(CURDIR)
 	install debian/gen-ld-u-options src/usr.sbin/config
 	grep -v ^__FBSDID src/sys/kern/subr_sbuf.c > src/usr.sbin/config/sbuf.c
@@ -80,7 +77,7 @@
 build-indep: build-indep-stamp
 build-indep-stamp: src
 	dh_testdir
-	
+
 	cp -af src $(SRC_DIR)
 
 	touch build-indep-stamp
@@ -111,7 +108,7 @@
 build-arch: $(foreach flavor,$(flavours),build-flavor-$(flavor)-stamp)
 build-flavor-%-stamp: src config
 	cp -af src $(FLAVOR_DIR)-$*
-	
+
 	# Add the abiname and the flavor to the kernel version
 	sed -i -e 's/^RELEASE=".*"/RELEASE="$(version)-$(abiname)-$*"/g' $(FLAVOR_DIR)-$*/sys/conf/newvers.sh
 
@@ -131,11 +128,11 @@
 	touch build-flavor-$*-stamp
 
 install-common-stamp: src
-	dh_testdir 
+	dh_testdir
 	dh_testroot
 	mkdir -p $(HEADERS_PACKAGE)/usr/src/$(HEADERS_DIR)
 	cd src \
-		&& find . -type f -name "*.h" -not -regex ".*modules.*" -not -regex ".*sys/$(cpu)/.*" -exec cp --parents {} $(HEADERS_PACKAGE)/usr/src/$(HEADERS_DIR) \; 
+		&& find . -type f -name "*.h" -not -regex ".*modules.*" -not -regex ".*sys/$(cpu)/.*" -exec cp --parents {} $(HEADERS_PACKAGE)/usr/src/$(HEADERS_DIR) \;
 	find $(HEADERS_PACKAGE)/usr/src/$(HEADERS_DIR) -type f -exec chmod 644 {} \;
 
 	touch install-common-stamp
@@ -146,7 +143,8 @@
 	dh_testroot
 	dh_clean -k -pkfreebsd-image-$(version)-$(abiname)-$*
 
-	mkdir -p $(IMAGE_PACKAGE)-$*/{boot,lib/modules/$(version)-$(abiname)-$*}
+	mkdir -p $(IMAGE_PACKAGE)-$*/boot \
+	    $(IMAGE_PACKAGE)-$*/lib/modules/$(version)-$(abiname)-$*
 
 	# make the install target happy
 	install -o root -g root -m 644 \
@@ -159,7 +157,7 @@
 	install -o root -g root -m 644 \
 		$(FLAVOR_DIR)-$*/sys/boot/forth/loader.conf \
 		$(IMAGE_PACKAGE)-$*/boot/defaults/loader.conf
-	
+
 	# now install the kernel
 	$(MAKE) -C $(FLAVOR_DIR)-$*/sys/$(cpu)/compile/$(configfile) DESTDIR=$(IMAGE_PACKAGE)-$* install
 	mv $(IMAGE_PACKAGE)-$*/lib/modules/$(version)-$(abiname)-$*/kernel $(IMAGE_PACKAGE)-$*/boot/kfreebsd-$(version)-$(abiname)-$*
@@ -178,7 +176,7 @@
 
 	# remove device.hints (built into kernel)
 	rm -f $(IMAGE_PACKAGE)-$*/boot/device.hints
-	
+
 	# override file
 	mkdir -p $(IMAGE_PACKAGE)-$*/usr/share/lintian/overrides
 	install -p -o root -g root -m 644 \
@@ -193,13 +191,13 @@
 	# scripts
 	sed -e "s/@RELEASE@/$(version)-$(abiname)-$*/g" debian/kfreebsd-image.postinst.in \
 		> debian/kfreebsd-image-$(version)-$(abiname)-$*.postinst
-	
+
 	# headers package
 	mkdir -p $(HEADERS_PACKAGE)-$*/usr/src/$(HEADERS_DIR)-$*/sys/$(cpu)
 	cd $(FLAVOR_DIR)-$*/sys/$(cpu) \
 		&& find . -type f -name "*.h" -not -regex ".*modules.*" -exec cp --parents {} $(HEADERS_PACKAGE)-$*/usr/src/$(HEADERS_DIR)-$*/sys/$(cpu) \; \
 		&& cp -d --parents compile/$(configfile)/machine $(HEADERS_PACKAGE)-$*/usr/src/$(HEADERS_DIR)-$*/sys/$(cpu) \
-		&& cp -d --parents conf/$(configfile) $(HEADERS_PACKAGE)-$*/usr/src/$(HEADERS_DIR)-$*/sys/$(cpu) 
+		&& cp -d --parents conf/$(configfile) $(HEADERS_PACKAGE)-$*/usr/src/$(HEADERS_DIR)-$*/sys/$(cpu)
 	find $(HEADERS_PACKAGE)-$*/usr/src/$(HEADERS_DIR)-$*/sys/$(cpu) -type f -exec chmod 644 {} \;
 	for dir in `ls $(HEADERS_PACKAGE)/usr/src/$(HEADERS_DIR)/sys` ; do \
 		ln -s ../../$(HEADERS_DIR)/sys/$$dir $(HEADERS_PACKAGE)-$*/usr/src/$(HEADERS_DIR)-$*/sys/$$dir ; \
@@ -245,10 +243,9 @@
 else
 binary-arch:
 	# We have nothing to do
-endif	
+endif
 
 binary: binary-indep binary-arch
 
 .PHONY: clean build build-indep
 .PHONY: binary-indep binary-arch binary-indep binary-arch binary
-


This also clears superfluous whitespace at EOL and EOF.

bye,
//mirabilos
-- 
[...] if maybe ext3fs wasn't a better pick, or jfs, or maybe reiserfs, oh but
what about xfs, and if only i had waited until reiser4 was ready... in the be-
ginning, there was ffs, and in the middle, there was ffs, and at the end, there
was still ffs, and the sys admins knew it was good. :)  -- Ted Unangst über *fs




Information stored:
Bug#477588; Package kfreebsd-7. Full text and rfc822 format available.

Acknowledgement sent to "Raphael Geissert" <atomo64@gmail.com>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #24 received at 477588-quiet@bugs.debian.org (full text, mbox):

From: "Raphael Geissert" <atomo64@gmail.com>
To: 477587@bugs.debian.org, 477588-quiet@bugs.debian.org
Subject: Re: Bug#477588: kfreebsd-7: bashism in debian/rules
Date: Tue, 27 May 2008 17:32:33 -0500
Hi,

2008/5/27 Guillem Jover <guillem@debian.org>:
>
> Hi,
>
> On Wed, 2008-04-23 at 19:48:55 -0500, Raphael Geissert wrote:
>> Source: kfreebsd-7
>> Severity: important
>> User: debian-release@lists.debian.org
>> Usertags: goal-dash
>>
>> While checking for bashisms in debian/rules with checkbashisms (from
>> the 'devscripts' package) I've found your package making use of a bashism.
>>
>> checkbashisms' output:
>> > possible bashism in kfreebsd-7/debian/rules line 38 (${parm/?/pat[/str]}):
>> >                         flavor=$${config/.config/} ; \
>> > possible bashism in kfreebsd-7/debian/rules line 149 (brace expansion):
>> >         mkdir -p
>> > $(IMAGE_PACKAGE)-$*/{boot,lib/modules/$(version)-$(abiname)-$*}
>
> Those are not bugs, the debian/rules file sets the SHELL environment
> variable to bash. Downgrading them to wishlist.

Sorry for the noise, checkbashisms failed to detect that SHELL was
being re-defined, hopefully now it does.

>
> regards,
> guillem
>


Cheers,
-- 
Atomo64 - Raphael

Please avoid sending me Word, PowerPoint or Excel attachments.
See http://www.gnu.org/philosophy/no-word-attachments.html




Forcibly Merged 477587 477588. Request was from Aurelien Jarno <aurel32@debian.org> to control@bugs.debian.org. (Sat, 18 Apr 2009 08:30:07 GMT) Full text and rfc822 format available.

Disconnected #477587 from all other report(s). Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Sun, 30 Aug 2009 08:27:05 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Fri, 17 Jun 2011 11:19:05 GMT) Full text and rfc822 format available.

Notification sent to Raphael Geissert <atomo64@gmail.com>:
Bug acknowledged by developer. (Fri, 17 Jun 2011 11:19:13 GMT) Full text and rfc822 format available.

Message #33 received at 477588-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 322197-done@bugs.debian.org,353302-done@bugs.debian.org,357021-done@bugs.debian.org,460331-done@bugs.debian.org,477588-done@bugs.debian.org,550429-done@bugs.debian.org,551702-done@bugs.debian.org,559107-done@bugs.debian.org,593699-done@bugs.debian.org,594287-done@bugs.debian.org,601305-done@bugs.debian.org,
Cc: kfreebsd-7@packages.debian.org, kfreebsd-7@packages.qa.debian.org
Subject: Bug#630694: Removed package(s) from unstable
Date: Fri, 17 Jun 2011 11:15:01 +0000
Version: 7.3-7+rm

Dear submitter,

as the package kfreebsd-7 has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/630694

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Alexander Reichle-Schmehl (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 16 Jul 2011 07:41:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:15:29 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.